SUSE 5045 Published by

The following security updates have been released for openSUSE Leap and SUSE Linux Enterprise:

SUSE-SU-2023:4891-1: moderate: Security update for ncurses
SUSE-SU-2023:4893-1: moderate: Security update for freerdp
SUSE-SU-2023:4882-1: important: Security update for the Linux Kernel
openSUSE-SU-2023:0409-1: important: Security update for gstreamer-plugins-bad




SUSE-SU-2023:4891-1: moderate: Security update for ncurses


# Security update for ncurses

Announcement ID: SUSE-SU-2023:4891-1
Rating: moderate
References:

* bsc#1201384
* bsc#1218014

Cross-References:

* CVE-2023-50495

CVSS scores:

* CVE-2023-50495 ( SUSE ): 5.5 CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H
* CVE-2023-50495 ( NVD ): 7.5 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H

Affected Products:

* Basesystem Module 15-SP4
* Basesystem Module 15-SP5
* Development Tools Module 15-SP4
* Development Tools Module 15-SP5
* Legacy Module 15-SP4
* Legacy Module 15-SP5
* openSUSE Leap 15.4
* openSUSE Leap 15.5
* openSUSE Leap Micro 5.3
* openSUSE Leap Micro 5.4
* SUSE Linux Enterprise Desktop 15 SP4
* SUSE Linux Enterprise Desktop 15 SP5
* SUSE Linux Enterprise High Performance Computing 15 SP4
* SUSE Linux Enterprise High Performance Computing 15 SP5
* SUSE Linux Enterprise Micro 5.1
* SUSE Linux Enterprise Micro 5.2
* SUSE Linux Enterprise Micro 5.3
* SUSE Linux Enterprise Micro 5.4
* SUSE Linux Enterprise Micro 5.5
* SUSE Linux Enterprise Micro for Rancher 5.2
* SUSE Linux Enterprise Micro for Rancher 5.3
* SUSE Linux Enterprise Micro for Rancher 5.4
* SUSE Linux Enterprise Real Time 15 SP4
* SUSE Linux Enterprise Real Time 15 SP5
* SUSE Linux Enterprise Server 15 SP4
* SUSE Linux Enterprise Server 15 SP5
* SUSE Linux Enterprise Server for SAP Applications 15 SP4
* SUSE Linux Enterprise Server for SAP Applications 15 SP5
* SUSE Manager Proxy 4.3
* SUSE Manager Retail Branch Server 4.3
* SUSE Manager Server 4.3

An update that solves one vulnerability and has one security fix can now be
installed.

## Description:

This update for ncurses fixes the following issues:

* CVE-2023-50495: Fixed a segmentation fault via _nc_wrap_entry()
(bsc#1218014)
* Modify reset command to avoid altering clocal if the terminal uses a modem
(bsc#1201384)

## Patch Instructions:

To install this SUSE update use the SUSE recommended installation methods like
YaST online_update or "zypper patch".
Alternatively you can run the command listed for your product:

* openSUSE Leap Micro 5.3
zypper in -t patch openSUSE-Leap-Micro-5.3-2023-4891=1

* openSUSE Leap Micro 5.4
zypper in -t patch openSUSE-Leap-Micro-5.4-2023-4891=1

* openSUSE Leap 15.4
zypper in -t patch openSUSE-SLE-15.4-2023-4891=1

* openSUSE Leap 15.5
zypper in -t patch openSUSE-SLE-15.5-2023-4891=1

* SUSE Linux Enterprise Micro for Rancher 5.3
zypper in -t patch SUSE-SLE-Micro-5.3-2023-4891=1

* SUSE Linux Enterprise Micro 5.3
zypper in -t patch SUSE-SLE-Micro-5.3-2023-4891=1

* SUSE Linux Enterprise Micro for Rancher 5.4
zypper in -t patch SUSE-SLE-Micro-5.4-2023-4891=1

* SUSE Linux Enterprise Micro 5.4
zypper in -t patch SUSE-SLE-Micro-5.4-2023-4891=1

* SUSE Linux Enterprise Micro 5.5
zypper in -t patch SUSE-SLE-Micro-5.5-2023-4891=1

* Basesystem Module 15-SP4
zypper in -t patch SUSE-SLE-Module-Basesystem-15-SP4-2023-4891=1

* Basesystem Module 15-SP5
zypper in -t patch SUSE-SLE-Module-Basesystem-15-SP5-2023-4891=1

* Development Tools Module 15-SP4
zypper in -t patch SUSE-SLE-Module-Development-Tools-15-SP4-2023-4891=1

* Development Tools Module 15-SP5
zypper in -t patch SUSE-SLE-Module-Development-Tools-15-SP5-2023-4891=1

* Legacy Module 15-SP4
zypper in -t patch SUSE-SLE-Module-Legacy-15-SP4-2023-4891=1

* Legacy Module 15-SP5
zypper in -t patch SUSE-SLE-Module-Legacy-15-SP5-2023-4891=1

* SUSE Linux Enterprise Micro 5.1
zypper in -t patch SUSE-SUSE-MicroOS-5.1-2023-4891=1

* SUSE Linux Enterprise Micro 5.2
zypper in -t patch SUSE-SUSE-MicroOS-5.2-2023-4891=1

* SUSE Linux Enterprise Micro for Rancher 5.2
zypper in -t patch SUSE-SUSE-MicroOS-5.2-2023-4891=1

## Package List:

* openSUSE Leap Micro 5.3 (aarch64 x86_64)
* ncurses-utils-debuginfo-6.1-150000.5.20.1
* libncurses6-debuginfo-6.1-150000.5.20.1
* terminfo-6.1-150000.5.20.1
* ncurses-debugsource-6.1-150000.5.20.1
* ncurses-utils-6.1-150000.5.20.1
* terminfo-base-6.1-150000.5.20.1
* libncurses6-6.1-150000.5.20.1
* openSUSE Leap Micro 5.4 (aarch64 s390x x86_64)
* ncurses-utils-debuginfo-6.1-150000.5.20.1
* libncurses6-debuginfo-6.1-150000.5.20.1
* terminfo-6.1-150000.5.20.1
* ncurses-debugsource-6.1-150000.5.20.1
* ncurses-utils-6.1-150000.5.20.1
* terminfo-base-6.1-150000.5.20.1
* libncurses6-6.1-150000.5.20.1
* openSUSE Leap 15.4 (x86_64)
* libncurses6-32bit-6.1-150000.5.20.1
* libncurses5-32bit-debuginfo-6.1-150000.5.20.1
* ncurses-devel-32bit-debuginfo-6.1-150000.5.20.1
* ncurses5-devel-32bit-6.1-150000.5.20.1
* libncurses5-32bit-6.1-150000.5.20.1
* ncurses-devel-32bit-6.1-150000.5.20.1
* libncurses6-32bit-debuginfo-6.1-150000.5.20.1
* openSUSE Leap 15.4 (aarch64 ppc64le s390x x86_64)
* libncurses5-6.1-150000.5.20.1
* ncurses-utils-debuginfo-6.1-150000.5.20.1
* libncurses5-debuginfo-6.1-150000.5.20.1
* libncurses6-debuginfo-6.1-150000.5.20.1
* tack-6.1-150000.5.20.1
* terminfo-6.1-150000.5.20.1
* ncurses-debugsource-6.1-150000.5.20.1
* terminfo-screen-6.1-150000.5.20.1
* ncurses-utils-6.1-150000.5.20.1
* ncurses-devel-6.1-150000.5.20.1
* ncurses5-devel-6.1-150000.5.20.1
* terminfo-base-6.1-150000.5.20.1
* ncurses-devel-debuginfo-6.1-150000.5.20.1
* terminfo-iterm-6.1-150000.5.20.1
* tack-debuginfo-6.1-150000.5.20.1
* libncurses6-6.1-150000.5.20.1
* openSUSE Leap 15.5 (x86_64)
* libncurses6-32bit-6.1-150000.5.20.1
* libncurses5-32bit-debuginfo-6.1-150000.5.20.1
* ncurses-devel-32bit-debuginfo-6.1-150000.5.20.1
* ncurses5-devel-32bit-6.1-150000.5.20.1
* libncurses5-32bit-6.1-150000.5.20.1
* ncurses-devel-32bit-6.1-150000.5.20.1
* libncurses6-32bit-debuginfo-6.1-150000.5.20.1
* openSUSE Leap 15.5 (aarch64 ppc64le s390x x86_64)
* libncurses5-6.1-150000.5.20.1
* ncurses-utils-debuginfo-6.1-150000.5.20.1
* libncurses5-debuginfo-6.1-150000.5.20.1
* libncurses6-debuginfo-6.1-150000.5.20.1
* tack-6.1-150000.5.20.1
* terminfo-6.1-150000.5.20.1
* ncurses-debugsource-6.1-150000.5.20.1
* terminfo-screen-6.1-150000.5.20.1
* ncurses-utils-6.1-150000.5.20.1
* ncurses-devel-6.1-150000.5.20.1
* ncurses5-devel-6.1-150000.5.20.1
* terminfo-base-6.1-150000.5.20.1
* ncurses-devel-debuginfo-6.1-150000.5.20.1
* terminfo-iterm-6.1-150000.5.20.1
* tack-debuginfo-6.1-150000.5.20.1
* libncurses6-6.1-150000.5.20.1
* SUSE Linux Enterprise Micro for Rancher 5.3 (aarch64 s390x x86_64)
* ncurses-utils-debuginfo-6.1-150000.5.20.1
* libncurses6-debuginfo-6.1-150000.5.20.1
* terminfo-6.1-150000.5.20.1
* ncurses-debugsource-6.1-150000.5.20.1
* ncurses-utils-6.1-150000.5.20.1
* terminfo-base-6.1-150000.5.20.1
* libncurses6-6.1-150000.5.20.1
* SUSE Linux Enterprise Micro 5.3 (aarch64 s390x x86_64)
* ncurses-utils-debuginfo-6.1-150000.5.20.1
* libncurses6-debuginfo-6.1-150000.5.20.1
* terminfo-6.1-150000.5.20.1
* ncurses-debugsource-6.1-150000.5.20.1
* ncurses-utils-6.1-150000.5.20.1
* terminfo-base-6.1-150000.5.20.1
* libncurses6-6.1-150000.5.20.1
* SUSE Linux Enterprise Micro for Rancher 5.4 (aarch64 s390x x86_64)
* ncurses-utils-debuginfo-6.1-150000.5.20.1
* libncurses6-debuginfo-6.1-150000.5.20.1
* terminfo-6.1-150000.5.20.1
* ncurses-debugsource-6.1-150000.5.20.1
* ncurses-utils-6.1-150000.5.20.1
* terminfo-base-6.1-150000.5.20.1
* libncurses6-6.1-150000.5.20.1
* SUSE Linux Enterprise Micro 5.4 (aarch64 s390x x86_64)
* ncurses-utils-debuginfo-6.1-150000.5.20.1
* libncurses6-debuginfo-6.1-150000.5.20.1
* terminfo-6.1-150000.5.20.1
* ncurses-debugsource-6.1-150000.5.20.1
* ncurses-utils-6.1-150000.5.20.1
* terminfo-base-6.1-150000.5.20.1
* libncurses6-6.1-150000.5.20.1
* SUSE Linux Enterprise Micro 5.5 (aarch64 s390x x86_64)
* ncurses-utils-debuginfo-6.1-150000.5.20.1
* libncurses6-debuginfo-6.1-150000.5.20.1
* terminfo-6.1-150000.5.20.1
* ncurses-debugsource-6.1-150000.5.20.1
* ncurses-utils-6.1-150000.5.20.1
* terminfo-base-6.1-150000.5.20.1
* libncurses6-6.1-150000.5.20.1
* Basesystem Module 15-SP4 (aarch64 ppc64le s390x x86_64)
* ncurses-utils-debuginfo-6.1-150000.5.20.1
* libncurses6-debuginfo-6.1-150000.5.20.1
* tack-6.1-150000.5.20.1
* terminfo-6.1-150000.5.20.1
* ncurses-debugsource-6.1-150000.5.20.1
* terminfo-screen-6.1-150000.5.20.1
* ncurses-utils-6.1-150000.5.20.1
* ncurses-devel-6.1-150000.5.20.1
* terminfo-base-6.1-150000.5.20.1
* ncurses-devel-debuginfo-6.1-150000.5.20.1
* terminfo-iterm-6.1-150000.5.20.1
* tack-debuginfo-6.1-150000.5.20.1
* libncurses6-6.1-150000.5.20.1
* Basesystem Module 15-SP4 (x86_64)
* libncurses6-32bit-6.1-150000.5.20.1
* libncurses6-32bit-debuginfo-6.1-150000.5.20.1
* Basesystem Module 15-SP5 (aarch64 ppc64le s390x x86_64)
* ncurses-utils-debuginfo-6.1-150000.5.20.1
* libncurses6-debuginfo-6.1-150000.5.20.1
* tack-6.1-150000.5.20.1
* terminfo-6.1-150000.5.20.1
* ncurses-debugsource-6.1-150000.5.20.1
* terminfo-screen-6.1-150000.5.20.1
* ncurses-utils-6.1-150000.5.20.1
* ncurses-devel-6.1-150000.5.20.1
* terminfo-base-6.1-150000.5.20.1
* ncurses-devel-debuginfo-6.1-150000.5.20.1
* terminfo-iterm-6.1-150000.5.20.1
* tack-debuginfo-6.1-150000.5.20.1
* libncurses6-6.1-150000.5.20.1
* Basesystem Module 15-SP5 (x86_64)
* libncurses6-32bit-6.1-150000.5.20.1
* libncurses6-32bit-debuginfo-6.1-150000.5.20.1
* Development Tools Module 15-SP4 (x86_64)
* ncurses-devel-32bit-6.1-150000.5.20.1
* ncurses-debugsource-6.1-150000.5.20.1
* ncurses-devel-32bit-debuginfo-6.1-150000.5.20.1
* Development Tools Module 15-SP5 (x86_64)
* ncurses-devel-32bit-6.1-150000.5.20.1
* ncurses-devel-32bit-debuginfo-6.1-150000.5.20.1
* Legacy Module 15-SP4 (aarch64 ppc64le s390x x86_64)
* ncurses5-devel-6.1-150000.5.20.1
* libncurses5-6.1-150000.5.20.1
* ncurses-debugsource-6.1-150000.5.20.1
* libncurses5-debuginfo-6.1-150000.5.20.1
* Legacy Module 15-SP4 (x86_64)
* libncurses5-32bit-6.1-150000.5.20.1
* libncurses5-32bit-debuginfo-6.1-150000.5.20.1
* Legacy Module 15-SP5 (aarch64 ppc64le s390x x86_64)
* ncurses5-devel-6.1-150000.5.20.1
* libncurses5-6.1-150000.5.20.1
* ncurses-debugsource-6.1-150000.5.20.1
* libncurses5-debuginfo-6.1-150000.5.20.1
* Legacy Module 15-SP5 (x86_64)
* libncurses5-32bit-6.1-150000.5.20.1
* libncurses5-32bit-debuginfo-6.1-150000.5.20.1
* SUSE Linux Enterprise Micro 5.1 (aarch64 s390x x86_64)
* ncurses-utils-debuginfo-6.1-150000.5.20.1
* libncurses6-debuginfo-6.1-150000.5.20.1
* terminfo-6.1-150000.5.20.1
* ncurses-debugsource-6.1-150000.5.20.1
* ncurses-utils-6.1-150000.5.20.1
* terminfo-base-6.1-150000.5.20.1
* libncurses6-6.1-150000.5.20.1
* SUSE Linux Enterprise Micro 5.2 (aarch64 s390x x86_64)
* ncurses-utils-debuginfo-6.1-150000.5.20.1
* libncurses6-debuginfo-6.1-150000.5.20.1
* terminfo-6.1-150000.5.20.1
* ncurses-debugsource-6.1-150000.5.20.1
* ncurses-utils-6.1-150000.5.20.1
* terminfo-base-6.1-150000.5.20.1
* libncurses6-6.1-150000.5.20.1
* SUSE Linux Enterprise Micro for Rancher 5.2 (aarch64 s390x x86_64)
* ncurses-utils-debuginfo-6.1-150000.5.20.1
* libncurses6-debuginfo-6.1-150000.5.20.1
* terminfo-6.1-150000.5.20.1
* ncurses-debugsource-6.1-150000.5.20.1
* ncurses-utils-6.1-150000.5.20.1
* terminfo-base-6.1-150000.5.20.1
* libncurses6-6.1-150000.5.20.1

## References:

* https://www.suse.com/security/cve/CVE-2023-50495.html
* https://bugzilla.suse.com/show_bug.cgi?id=1201384
* https://bugzilla.suse.com/show_bug.cgi?id=1218014



SUSE-SU-2023:4893-1: moderate: Security update for freerdp


# Security update for freerdp

Announcement ID: SUSE-SU-2023:4893-1
Rating: moderate
References:

* bsc#1214856
* bsc#1214857
* bsc#1214858
* bsc#1214859
* bsc#1214860
* bsc#1214862
* bsc#1214863
* bsc#1214864
* bsc#1214866
* bsc#1214867
* bsc#1214868
* bsc#1214869
* bsc#1214870
* bsc#1214871
* bsc#1214872

Cross-References:

* CVE-2023-39350
* CVE-2023-39351
* CVE-2023-39352
* CVE-2023-39353
* CVE-2023-39354
* CVE-2023-39356
* CVE-2023-40181
* CVE-2023-40186
* CVE-2023-40188
* CVE-2023-40567
* CVE-2023-40569
* CVE-2023-40574
* CVE-2023-40575
* CVE-2023-40576
* CVE-2023-40589

CVSS scores:

* CVE-2023-39350 ( SUSE ): 5.9 CVSS:3.1/AV:N/AC:H/PR:N/UI:N/S:U/C:N/I:N/A:H
* CVE-2023-39350 ( NVD ): 5.9 CVSS:3.1/AV:N/AC:H/PR:N/UI:N/S:U/C:N/I:N/A:H
* CVE-2023-39351 ( SUSE ): 5.3 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:L
* CVE-2023-39351 ( NVD ): 5.3 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:L
* CVE-2023-39352 ( SUSE ): 5.3 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:L
* CVE-2023-39352 ( NVD ): 5.3 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:L
* CVE-2023-39353 ( SUSE ): 5.3 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:L
* CVE-2023-39353 ( NVD ): 5.3 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:L
* CVE-2023-39354 ( SUSE ): 5.9 CVSS:3.1/AV:N/AC:H/PR:N/UI:N/S:U/C:N/I:N/A:H
* CVE-2023-39354 ( NVD ): 5.9 CVSS:3.1/AV:N/AC:H/PR:N/UI:N/S:U/C:N/I:N/A:H
* CVE-2023-39356 ( SUSE ): 5.3 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:L
* CVE-2023-39356 ( NVD ): 5.3 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:L
* CVE-2023-40181 ( SUSE ): 5.3 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:L
* CVE-2023-40181 ( NVD ): 5.3 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:L
* CVE-2023-40186 ( SUSE ): 6.5 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:L/A:L
* CVE-2023-40186 ( NVD ): 6.5 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:L/A:L
* CVE-2023-40188 ( SUSE ): 5.3 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:L
* CVE-2023-40188 ( NVD ): 5.3 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:L
* CVE-2023-40567 ( SUSE ): 6.5 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:L/A:L
* CVE-2023-40567 ( NVD ): 6.5 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:L/A:L
* CVE-2023-40569 ( SUSE ): 6.5 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:L/A:L
* CVE-2023-40569 ( NVD ): 6.5 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:L/A:L
* CVE-2023-40574 ( SUSE ): 6.5 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:L/A:L
* CVE-2023-40574 ( NVD ): 6.5 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:L/A:L
* CVE-2023-40575 ( SUSE ): 5.3 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:L
* CVE-2023-40575 ( NVD ): 5.3 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:L
* CVE-2023-40576 ( SUSE ): 5.3 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:L
* CVE-2023-40576 ( NVD ): 5.3 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:L
* CVE-2023-40589 ( SUSE ): 4.3 CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:L
* CVE-2023-40589 ( NVD ): 4.3 CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:L

Affected Products:

* openSUSE Leap 15.4
* openSUSE Leap 15.5
* SUSE Linux Enterprise Desktop 15 SP4
* SUSE Linux Enterprise Desktop 15 SP5
* SUSE Linux Enterprise High Performance Computing 15 SP4
* SUSE Linux Enterprise High Performance Computing 15 SP5
* SUSE Linux Enterprise Micro 5.3
* SUSE Linux Enterprise Micro 5.4
* SUSE Linux Enterprise Micro 5.5
* SUSE Linux Enterprise Real Time 15 SP4
* SUSE Linux Enterprise Real Time 15 SP5
* SUSE Linux Enterprise Server 15 SP4
* SUSE Linux Enterprise Server 15 SP5
* SUSE Linux Enterprise Server for SAP Applications 15 SP4
* SUSE Linux Enterprise Server for SAP Applications 15 SP5
* SUSE Linux Enterprise Workstation Extension 15 SP4
* SUSE Linux Enterprise Workstation Extension 15 SP5
* SUSE Manager Proxy 4.3
* SUSE Manager Retail Branch Server 4.3
* SUSE Manager Server 4.3
* SUSE Package Hub 15 15-SP4
* SUSE Package Hub 15 15-SP5

An update that solves 15 vulnerabilities can now be installed.

## Description:

This update for freerdp fixes the following issues:

* CVE-2023-39350: Fixed incorrect offset calculation leading to DoS
(bsc#1214856).
* CVE-2023-39351: Fixed Null Pointer Dereference leading DoS in RemoteFX
(bsc#1214857).
* CVE-2023-39352: Fixed Invalid offset validation leading to Out Of Bound
Write (bsc#1214858).
* CVE-2023-39353: Fixed Missing offset validation leading to Out Of Bound Read
(bsc#1214859).
* CVE-2023-39354: Fixed Out-Of-Bounds Read in nsc_rle_decompress_data
(bsc#1214860).
* CVE-2023-39356: Fixed Missing offset validation leading to Out-of-Bounds
Read in gdi_multi_opaque_rect (bsc#1214862).
* CVE-2023-40181: Fixed Integer-Underflow leading to Out-Of-Bound Read in
zgfx_decompress_segment (bsc#1214863).
* CVE-2023-40186: Fixed IntegerOverflow leading to Out-Of-Bound Write
Vulnerability in gdi_CreateSurface (bsc#1214864).
* CVE-2023-40188: Fixed Out-Of-Bounds Read in general_LumaToYUV444
(bsc#1214866).
* CVE-2023-40567: Fixed Out-Of-Bounds Write in clear_decompress_bands_data
(bsc#1214867).
* CVE-2023-40569: Fixed Out-Of-Bounds Write in progressive_decompress
(bsc#1214868).
* CVE-2023-40574: Fixed Out-Of-Bounds Write in
general_YUV444ToRGB_8u_P3AC4R_BGRX (bsc#1214869).
* CVE-2023-40575: Fixed Out-Of-Bounds Read in
general_YUV444ToRGB_8u_P3AC4R_BGRX (bsc#1214870).
* CVE-2023-40576: Fixed Out-Of-Bounds Read in RleDecompress (bsc#1214871).
* CVE-2023-40589: Fixed Global-Buffer-Overflow in ncrush_decompress
(bsc#1214872).

## Patch Instructions:

To install this SUSE update use the SUSE recommended installation methods like
YaST online_update or "zypper patch".
Alternatively you can run the command listed for your product:

* openSUSE Leap 15.4
zypper in -t patch openSUSE-SLE-15.4-2023-4893=1 SUSE-2023-4893=1

* openSUSE Leap 15.5
zypper in -t patch openSUSE-SLE-15.5-2023-4893=1

* SUSE Package Hub 15 15-SP4
zypper in -t patch SUSE-SLE-Module-Packagehub-Subpackages-15-SP4-2023-4893=1

* SUSE Package Hub 15 15-SP5
zypper in -t patch SUSE-SLE-Module-Packagehub-Subpackages-15-SP5-2023-4893=1

* SUSE Linux Enterprise Workstation Extension 15 SP4
zypper in -t patch SUSE-SLE-Product-WE-15-SP4-2023-4893=1

* SUSE Linux Enterprise Workstation Extension 15 SP5
zypper in -t patch SUSE-SLE-Product-WE-15-SP5-2023-4893=1

## Package List:

* openSUSE Leap 15.4 (aarch64 ppc64le s390x x86_64 i586)
* libwinpr2-2.4.0-150400.3.23.1
* freerdp-server-debuginfo-2.4.0-150400.3.23.1
* libwinpr2-debuginfo-2.4.0-150400.3.23.1
* libfreerdp2-2.4.0-150400.3.23.1
* freerdp-devel-2.4.0-150400.3.23.1
* freerdp-debugsource-2.4.0-150400.3.23.1
* libuwac0-0-2.4.0-150400.3.23.1
* freerdp-debuginfo-2.4.0-150400.3.23.1
* uwac0-0-devel-2.4.0-150400.3.23.1
* libuwac0-0-debuginfo-2.4.0-150400.3.23.1
* freerdp-wayland-2.4.0-150400.3.23.1
* freerdp-proxy-2.4.0-150400.3.23.1
* freerdp-server-2.4.0-150400.3.23.1
* freerdp-2.4.0-150400.3.23.1
* winpr2-devel-2.4.0-150400.3.23.1
* freerdp-wayland-debuginfo-2.4.0-150400.3.23.1
* libfreerdp2-debuginfo-2.4.0-150400.3.23.1
* freerdp-proxy-debuginfo-2.4.0-150400.3.23.1
* openSUSE Leap 15.5 (aarch64 ppc64le s390x x86_64)
* libwinpr2-2.4.0-150400.3.23.1
* freerdp-server-debuginfo-2.4.0-150400.3.23.1
* libwinpr2-debuginfo-2.4.0-150400.3.23.1
* libfreerdp2-2.4.0-150400.3.23.1
* freerdp-devel-2.4.0-150400.3.23.1
* freerdp-debugsource-2.4.0-150400.3.23.1
* libuwac0-0-2.4.0-150400.3.23.1
* freerdp-debuginfo-2.4.0-150400.3.23.1
* uwac0-0-devel-2.4.0-150400.3.23.1
* libuwac0-0-debuginfo-2.4.0-150400.3.23.1
* freerdp-wayland-2.4.0-150400.3.23.1
* freerdp-proxy-2.4.0-150400.3.23.1
* freerdp-server-2.4.0-150400.3.23.1
* freerdp-2.4.0-150400.3.23.1
* winpr2-devel-2.4.0-150400.3.23.1
* freerdp-wayland-debuginfo-2.4.0-150400.3.23.1
* libfreerdp2-debuginfo-2.4.0-150400.3.23.1
* freerdp-proxy-debuginfo-2.4.0-150400.3.23.1
* SUSE Package Hub 15 15-SP4 (aarch64 ppc64le s390x)
* libwinpr2-2.4.0-150400.3.23.1
* libwinpr2-debuginfo-2.4.0-150400.3.23.1
* libfreerdp2-2.4.0-150400.3.23.1
* freerdp-devel-2.4.0-150400.3.23.1
* freerdp-debugsource-2.4.0-150400.3.23.1
* freerdp-debuginfo-2.4.0-150400.3.23.1
* freerdp-proxy-2.4.0-150400.3.23.1
* freerdp-2.4.0-150400.3.23.1
* winpr2-devel-2.4.0-150400.3.23.1
* libfreerdp2-debuginfo-2.4.0-150400.3.23.1
* freerdp-proxy-debuginfo-2.4.0-150400.3.23.1
* SUSE Package Hub 15 15-SP5 (aarch64 ppc64le s390x)
* libwinpr2-2.4.0-150400.3.23.1
* freerdp-server-debuginfo-2.4.0-150400.3.23.1
* libwinpr2-debuginfo-2.4.0-150400.3.23.1
* libfreerdp2-2.4.0-150400.3.23.1
* freerdp-devel-2.4.0-150400.3.23.1
* freerdp-debugsource-2.4.0-150400.3.23.1
* libuwac0-0-2.4.0-150400.3.23.1
* freerdp-debuginfo-2.4.0-150400.3.23.1
* uwac0-0-devel-2.4.0-150400.3.23.1
* libuwac0-0-debuginfo-2.4.0-150400.3.23.1
* freerdp-wayland-2.4.0-150400.3.23.1
* freerdp-proxy-2.4.0-150400.3.23.1
* freerdp-server-2.4.0-150400.3.23.1
* freerdp-2.4.0-150400.3.23.1
* winpr2-devel-2.4.0-150400.3.23.1
* freerdp-wayland-debuginfo-2.4.0-150400.3.23.1
* libfreerdp2-debuginfo-2.4.0-150400.3.23.1
* freerdp-proxy-debuginfo-2.4.0-150400.3.23.1
* SUSE Linux Enterprise Workstation Extension 15 SP4 (x86_64)
* libwinpr2-2.4.0-150400.3.23.1
* libwinpr2-debuginfo-2.4.0-150400.3.23.1
* libfreerdp2-2.4.0-150400.3.23.1
* freerdp-devel-2.4.0-150400.3.23.1
* freerdp-debugsource-2.4.0-150400.3.23.1
* freerdp-debuginfo-2.4.0-150400.3.23.1
* freerdp-proxy-2.4.0-150400.3.23.1
* freerdp-2.4.0-150400.3.23.1
* winpr2-devel-2.4.0-150400.3.23.1
* libfreerdp2-debuginfo-2.4.0-150400.3.23.1
* freerdp-proxy-debuginfo-2.4.0-150400.3.23.1
* SUSE Linux Enterprise Workstation Extension 15 SP5 (x86_64)
* libwinpr2-2.4.0-150400.3.23.1
* libwinpr2-debuginfo-2.4.0-150400.3.23.1
* libfreerdp2-2.4.0-150400.3.23.1
* freerdp-devel-2.4.0-150400.3.23.1
* freerdp-debugsource-2.4.0-150400.3.23.1
* freerdp-debuginfo-2.4.0-150400.3.23.1
* freerdp-proxy-2.4.0-150400.3.23.1
* freerdp-2.4.0-150400.3.23.1
* winpr2-devel-2.4.0-150400.3.23.1
* libfreerdp2-debuginfo-2.4.0-150400.3.23.1
* freerdp-proxy-debuginfo-2.4.0-150400.3.23.1

## References:

* https://www.suse.com/security/cve/CVE-2023-39350.html
* https://www.suse.com/security/cve/CVE-2023-39351.html
* https://www.suse.com/security/cve/CVE-2023-39352.html
* https://www.suse.com/security/cve/CVE-2023-39353.html
* https://www.suse.com/security/cve/CVE-2023-39354.html
* https://www.suse.com/security/cve/CVE-2023-39356.html
* https://www.suse.com/security/cve/CVE-2023-40181.html
* https://www.suse.com/security/cve/CVE-2023-40186.html
* https://www.suse.com/security/cve/CVE-2023-40188.html
* https://www.suse.com/security/cve/CVE-2023-40567.html
* https://www.suse.com/security/cve/CVE-2023-40569.html
* https://www.suse.com/security/cve/CVE-2023-40574.html
* https://www.suse.com/security/cve/CVE-2023-40575.html
* https://www.suse.com/security/cve/CVE-2023-40576.html
* https://www.suse.com/security/cve/CVE-2023-40589.html
* https://bugzilla.suse.com/show_bug.cgi?id=1214856
* https://bugzilla.suse.com/show_bug.cgi?id=1214857
* https://bugzilla.suse.com/show_bug.cgi?id=1214858
* https://bugzilla.suse.com/show_bug.cgi?id=1214859
* https://bugzilla.suse.com/show_bug.cgi?id=1214860
* https://bugzilla.suse.com/show_bug.cgi?id=1214862
* https://bugzilla.suse.com/show_bug.cgi?id=1214863
* https://bugzilla.suse.com/show_bug.cgi?id=1214864
* https://bugzilla.suse.com/show_bug.cgi?id=1214866
* https://bugzilla.suse.com/show_bug.cgi?id=1214867
* https://bugzilla.suse.com/show_bug.cgi?id=1214868
* https://bugzilla.suse.com/show_bug.cgi?id=1214869
* https://bugzilla.suse.com/show_bug.cgi?id=1214870
* https://bugzilla.suse.com/show_bug.cgi?id=1214871
* https://bugzilla.suse.com/show_bug.cgi?id=1214872



SUSE-SU-2023:4882-1: important: Security update for the Linux Kernel


# Security update for the Linux Kernel

Announcement ID: SUSE-SU-2023:4882-1
Rating: important
References:

* bsc#1084909
* bsc#1208787
* bsc#1210780
* bsc#1216058
* bsc#1216259
* bsc#1216584
* bsc#1216965
* bsc#1216976
* jsc#PED-3184
* jsc#PED-5021

Cross-References:

* CVE-2023-0461
* CVE-2023-31083
* CVE-2023-39197
* CVE-2023-39198
* CVE-2023-45863
* CVE-2023-45871
* CVE-2023-5717

CVSS scores:

* CVE-2023-0461 ( SUSE ): 7.8 CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H
* CVE-2023-0461 ( NVD ): 7.8 CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H
* CVE-2023-31083 ( SUSE ): 5.5 CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:N/I:N/A:H
* CVE-2023-31083 ( NVD ): 4.7 CVSS:3.1/AV:L/AC:H/PR:L/UI:N/S:U/C:N/I:N/A:H
* CVE-2023-39197 ( SUSE ): 4.0 CVSS:3.1/AV:N/AC:H/PR:N/UI:N/S:C/C:L/I:N/A:N
* CVE-2023-39198 ( SUSE ): 7.5 CVSS:3.1/AV:L/AC:H/PR:H/UI:N/S:C/C:H/I:H/A:H
* CVE-2023-39198 ( NVD ): 6.4 CVSS:3.1/AV:L/AC:H/PR:H/UI:N/S:U/C:H/I:H/A:H
* CVE-2023-45863 ( SUSE ): 6.4 CVSS:3.1/AV:L/AC:H/PR:H/UI:N/S:U/C:H/I:H/A:H
* CVE-2023-45863 ( NVD ): 6.4 CVSS:3.1/AV:L/AC:H/PR:H/UI:N/S:U/C:H/I:H/A:H
* CVE-2023-45871 ( SUSE ): 5.3 CVSS:3.1/AV:N/AC:H/PR:L/UI:N/S:U/C:N/I:N/A:H
* CVE-2023-45871 ( NVD ): 9.8 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H
* CVE-2023-5717 ( SUSE ): 7.8 CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H
* CVE-2023-5717 ( NVD ): 7.8 CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H

Affected Products:

* openSUSE Leap 15.4
* SUSE CaaS Platform 4.0
* SUSE Linux Enterprise High Availability Extension 15 SP1
* SUSE Linux Enterprise High Performance Computing 15 SP1
* SUSE Linux Enterprise High Performance Computing 15 SP1 LTSS 15-SP1
* SUSE Linux Enterprise Live Patching 15-SP1
* SUSE Linux Enterprise Server 15 SP1
* SUSE Linux Enterprise Server 15 SP1 Business Critical Linux 15-SP1
* SUSE Linux Enterprise Server 15 SP1 LTSS 15-SP1
* SUSE Linux Enterprise Server for SAP Applications 15 SP1
* SUSE Manager Proxy 4.0
* SUSE Manager Retail Branch Server 4.0
* SUSE Manager Server 4.0

An update that solves seven vulnerabilities, contains two features and has one
security fix can now be installed.

## Description:

The SUSE Linux Enterprise 15 SP1 kernel was updated to receive various security
and bugfixes.

The following security bugs were fixed:

* CVE-2023-0461: Fixed use-after-free in icsk_ulp_data (bsc#1208787).
* CVE-2023-39197: Fixed a out-of-bounds read in nf_conntrack_dccp_packet()
(bsc#1216976).
* CVE-2023-45863: Fixed a out-of-bounds write in fill_kobj_path()
(bsc#1216058).
* CVE-2023-5717: Fixed a heap out-of-bounds write vulnerability in the
Performance Events component (bsc#1216584).
* CVE-2023-45871: Fixed an issue in the IGB driver, where the buffer size may
not be adequate for frames larger than the MTU (bsc#1216259).
* CVE-2023-39198: Fixed a race condition leading to use-after-free in
qxl_mode_dumb_create() (bsc#1216965).
* CVE-2023-31083: Fixed race condition in hci_uart_tty_ioctl (bsc#1210780).

## Special Instructions and Notes:

* Please reboot the system after installing this update.

## Patch Instructions:

To install this SUSE update use the SUSE recommended installation methods like
YaST online_update or "zypper patch".
Alternatively you can run the command listed for your product:

* openSUSE Leap 15.4
zypper in -t patch openSUSE-SLE-15.4-2023-4882=1

* SUSE Linux Enterprise Live Patching 15-SP1
zypper in -t patch SUSE-SLE-Module-Live-Patching-15-SP1-2023-4882=1

* SUSE Linux Enterprise High Availability Extension 15 SP1
zypper in -t patch SUSE-SLE-Product-HA-15-SP1-2023-4882=1

* SUSE Linux Enterprise High Performance Computing 15 SP1 LTSS 15-SP1
zypper in -t patch SUSE-SLE-Product-HPC-15-SP1-LTSS-2023-4882=1

* SUSE Linux Enterprise Server 15 SP1 LTSS 15-SP1
zypper in -t patch SUSE-SLE-Product-SLES-15-SP1-LTSS-2023-4882=1

* SUSE Linux Enterprise Server for SAP Applications 15 SP1
zypper in -t patch SUSE-SLE-Product-SLES_SAP-15-SP1-2023-4882=1

* SUSE CaaS Platform 4.0
To install this update, use the SUSE CaaS Platform 'skuba' tool. It will inform
you if it detects new updates and let you then trigger updating of the complete
cluster in a controlled way.

## Package List:

* openSUSE Leap 15.4 (nosrc)
* kernel-default-4.12.14-150100.197.165.1
* kernel-kvmsmall-4.12.14-150100.197.165.1
* kernel-debug-4.12.14-150100.197.165.1
* kernel-zfcpdump-4.12.14-150100.197.165.1
* openSUSE Leap 15.4 (ppc64le x86_64)
* kernel-debug-base-4.12.14-150100.197.165.1
* kernel-debug-base-debuginfo-4.12.14-150100.197.165.1
* openSUSE Leap 15.4 (aarch64 ppc64le s390x x86_64)
* kernel-default-base-debuginfo-4.12.14-150100.197.165.1
* openSUSE Leap 15.4 (x86_64)
* kernel-kvmsmall-base-debuginfo-4.12.14-150100.197.165.1
* kernel-kvmsmall-base-4.12.14-150100.197.165.1
* openSUSE Leap 15.4 (s390x)
* kernel-default-man-4.12.14-150100.197.165.1
* kernel-zfcpdump-man-4.12.14-150100.197.165.1
* SUSE Linux Enterprise Live Patching 15-SP1 (nosrc)
* kernel-default-4.12.14-150100.197.165.1
* SUSE Linux Enterprise Live Patching 15-SP1 (ppc64le x86_64)
* kernel-livepatch-4_12_14-150100_197_165-default-1-150100.3.5.1
* kernel-default-debugsource-4.12.14-150100.197.165.1
* kernel-default-livepatch-4.12.14-150100.197.165.1
* kernel-default-debuginfo-4.12.14-150100.197.165.1
* kernel-default-livepatch-devel-4.12.14-150100.197.165.1
* SUSE Linux Enterprise High Availability Extension 15 SP1 (aarch64 ppc64le
s390x x86_64)
* kernel-default-debugsource-4.12.14-150100.197.165.1
* ocfs2-kmp-default-4.12.14-150100.197.165.1
* dlm-kmp-default-4.12.14-150100.197.165.1
* kernel-default-debuginfo-4.12.14-150100.197.165.1
* ocfs2-kmp-default-debuginfo-4.12.14-150100.197.165.1
* gfs2-kmp-default-debuginfo-4.12.14-150100.197.165.1
* cluster-md-kmp-default-4.12.14-150100.197.165.1
* cluster-md-kmp-default-debuginfo-4.12.14-150100.197.165.1
* dlm-kmp-default-debuginfo-4.12.14-150100.197.165.1
* gfs2-kmp-default-4.12.14-150100.197.165.1
* SUSE Linux Enterprise High Availability Extension 15 SP1 (nosrc)
* kernel-default-4.12.14-150100.197.165.1
* SUSE Linux Enterprise High Performance Computing 15 SP1 LTSS 15-SP1 (aarch64
nosrc x86_64)
* kernel-default-4.12.14-150100.197.165.1
* SUSE Linux Enterprise High Performance Computing 15 SP1 LTSS 15-SP1 (aarch64
x86_64)
* kernel-default-base-debuginfo-4.12.14-150100.197.165.1
* kernel-default-devel-4.12.14-150100.197.165.1
* kernel-default-debugsource-4.12.14-150100.197.165.1
* kernel-default-devel-debuginfo-4.12.14-150100.197.165.1
* kernel-default-debuginfo-4.12.14-150100.197.165.1
* kernel-obs-build-4.12.14-150100.197.165.1
* kernel-obs-build-debugsource-4.12.14-150100.197.165.1
* kernel-syms-4.12.14-150100.197.165.1
* kernel-default-base-4.12.14-150100.197.165.1
* SUSE Linux Enterprise High Performance Computing 15 SP1 LTSS 15-SP1 (noarch)
* kernel-devel-4.12.14-150100.197.165.1
* kernel-source-4.12.14-150100.197.165.1
* kernel-macros-4.12.14-150100.197.165.1
* SUSE Linux Enterprise High Performance Computing 15 SP1 LTSS 15-SP1 (noarch
nosrc)
* kernel-docs-4.12.14-150100.197.165.1
* SUSE Linux Enterprise Server 15 SP1 LTSS 15-SP1 (aarch64 ppc64le s390x
x86_64 nosrc)
* kernel-default-4.12.14-150100.197.165.1
* SUSE Linux Enterprise Server 15 SP1 LTSS 15-SP1 (aarch64 ppc64le s390x
x86_64)
* kernel-default-base-debuginfo-4.12.14-150100.197.165.1
* kernel-default-devel-4.12.14-150100.197.165.1
* kernel-default-debugsource-4.12.14-150100.197.165.1
* kernel-default-devel-debuginfo-4.12.14-150100.197.165.1
* reiserfs-kmp-default-4.12.14-150100.197.165.1
* kernel-default-debuginfo-4.12.14-150100.197.165.1
* kernel-obs-build-4.12.14-150100.197.165.1
* kernel-obs-build-debugsource-4.12.14-150100.197.165.1
* reiserfs-kmp-default-debuginfo-4.12.14-150100.197.165.1
* kernel-syms-4.12.14-150100.197.165.1
* kernel-default-base-4.12.14-150100.197.165.1
* SUSE Linux Enterprise Server 15 SP1 LTSS 15-SP1 (noarch)
* kernel-devel-4.12.14-150100.197.165.1
* kernel-source-4.12.14-150100.197.165.1
* kernel-macros-4.12.14-150100.197.165.1
* SUSE Linux Enterprise Server 15 SP1 LTSS 15-SP1 (noarch nosrc)
* kernel-docs-4.12.14-150100.197.165.1
* SUSE Linux Enterprise Server 15 SP1 LTSS 15-SP1 (s390x)
* kernel-zfcpdump-debugsource-4.12.14-150100.197.165.1
* kernel-zfcpdump-debuginfo-4.12.14-150100.197.165.1
* kernel-default-man-4.12.14-150100.197.165.1
* SUSE Linux Enterprise Server 15 SP1 LTSS 15-SP1 (nosrc)
* kernel-zfcpdump-4.12.14-150100.197.165.1
* SUSE Linux Enterprise Server for SAP Applications 15 SP1 (nosrc ppc64le
x86_64)
* kernel-default-4.12.14-150100.197.165.1
* SUSE Linux Enterprise Server for SAP Applications 15 SP1 (ppc64le x86_64)
* kernel-default-base-debuginfo-4.12.14-150100.197.165.1
* kernel-default-devel-4.12.14-150100.197.165.1
* kernel-default-debugsource-4.12.14-150100.197.165.1
* kernel-default-devel-debuginfo-4.12.14-150100.197.165.1
* reiserfs-kmp-default-4.12.14-150100.197.165.1
* kernel-default-debuginfo-4.12.14-150100.197.165.1
* kernel-obs-build-4.12.14-150100.197.165.1
* kernel-obs-build-debugsource-4.12.14-150100.197.165.1
* reiserfs-kmp-default-debuginfo-4.12.14-150100.197.165.1
* kernel-syms-4.12.14-150100.197.165.1
* kernel-default-base-4.12.14-150100.197.165.1
* SUSE Linux Enterprise Server for SAP Applications 15 SP1 (noarch)
* kernel-devel-4.12.14-150100.197.165.1
* kernel-source-4.12.14-150100.197.165.1
* kernel-macros-4.12.14-150100.197.165.1
* SUSE Linux Enterprise Server for SAP Applications 15 SP1 (noarch nosrc)
* kernel-docs-4.12.14-150100.197.165.1
* SUSE CaaS Platform 4.0 (nosrc x86_64)
* kernel-default-4.12.14-150100.197.165.1
* SUSE CaaS Platform 4.0 (x86_64)
* kernel-default-base-debuginfo-4.12.14-150100.197.165.1
* kernel-default-devel-4.12.14-150100.197.165.1
* kernel-default-debugsource-4.12.14-150100.197.165.1
* kernel-default-devel-debuginfo-4.12.14-150100.197.165.1
* reiserfs-kmp-default-4.12.14-150100.197.165.1
* kernel-default-debuginfo-4.12.14-150100.197.165.1
* kernel-obs-build-4.12.14-150100.197.165.1
* kernel-obs-build-debugsource-4.12.14-150100.197.165.1
* reiserfs-kmp-default-debuginfo-4.12.14-150100.197.165.1
* kernel-syms-4.12.14-150100.197.165.1
* kernel-default-base-4.12.14-150100.197.165.1
* SUSE CaaS Platform 4.0 (noarch)
* kernel-devel-4.12.14-150100.197.165.1
* kernel-source-4.12.14-150100.197.165.1
* kernel-macros-4.12.14-150100.197.165.1
* SUSE CaaS Platform 4.0 (noarch nosrc)
* kernel-docs-4.12.14-150100.197.165.1

## References:

* https://www.suse.com/security/cve/CVE-2023-0461.html
* https://www.suse.com/security/cve/CVE-2023-31083.html
* https://www.suse.com/security/cve/CVE-2023-39197.html
* https://www.suse.com/security/cve/CVE-2023-39198.html
* https://www.suse.com/security/cve/CVE-2023-45863.html
* https://www.suse.com/security/cve/CVE-2023-45871.html
* https://www.suse.com/security/cve/CVE-2023-5717.html
* https://bugzilla.suse.com/show_bug.cgi?id=1084909
* https://bugzilla.suse.com/show_bug.cgi?id=1208787
* https://bugzilla.suse.com/show_bug.cgi?id=1210780
* https://bugzilla.suse.com/show_bug.cgi?id=1216058
* https://bugzilla.suse.com/show_bug.cgi?id=1216259
* https://bugzilla.suse.com/show_bug.cgi?id=1216584
* https://bugzilla.suse.com/show_bug.cgi?id=1216965
* https://bugzilla.suse.com/show_bug.cgi?id=1216976
* https://jira.suse.com/browse/PED-3184
* https://jira.suse.com/browse/PED-5021



openSUSE-SU-2023:0409-1: important: Security update for gstreamer-plugins-bad


openSUSE Security Update: Security update for gstreamer-plugins-bad
_______________________________

Announcement ID: openSUSE-SU-2023:0409-1
Rating: important
References: #1215793 #1215796
Cross-References: CVE-2023-40474 CVE-2023-40476
CVSS scores:
CVE-2023-40474 (SUSE): 8.8 CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H
CVE-2023-40476 (SUSE): 8.3 CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:L

Affected Products:
openSUSE Leap 15.4
openSUSE Leap 15.5
_______________________________

An update that fixes two vulnerabilities is now available.

Description:

This update for gstreamer-plugins-bad fixes the following issues:

- CVE-2023-40474: Fixed integer overflow causing out of bounds writes when
handling invalid uncompressed video (bsc#1215796).
- CVE-2023-40476: Fixed possible overflow using max_sub_layers_minus1
(bsc#1215793).

Patch Instructions:

To install this openSUSE Security Update use the SUSE recommended installation methods
like YaST online_update or "zypper patch".

Alternatively you can run the command listed for your product:

- openSUSE Leap 15.5:

zypper in -t patch openSUSE-2023-409=1

- openSUSE Leap 15.4:

zypper in -t patch openSUSE-2023-409=1

Package List:

- openSUSE Leap 15.5 (aarch64 i586 ppc64le s390x x86_64):

gstreamer-plugins-bad-1.22.0-lp155.3.7.1
gstreamer-plugins-bad-chromaprint-1.22.0-lp155.3.7.1
gstreamer-plugins-bad-chromaprint-debuginfo-1.22.0-lp155.3.7.1
gstreamer-plugins-bad-debuginfo-1.22.0-lp155.3.7.1
gstreamer-plugins-bad-debugsource-1.22.0-lp155.3.7.1
gstreamer-plugins-bad-devel-1.22.0-lp155.3.7.1
gstreamer-plugins-bad-fluidsynth-1.22.0-lp155.3.7.1
gstreamer-plugins-bad-fluidsynth-debuginfo-1.22.0-lp155.3.7.1
gstreamer-transcoder-1.22.0-lp155.3.7.1
gstreamer-transcoder-debuginfo-1.22.0-lp155.3.7.1
gstreamer-transcoder-devel-1.22.0-lp155.3.7.1
libgstadaptivedemux-1_0-0-1.22.0-lp155.3.7.1
libgstadaptivedemux-1_0-0-debuginfo-1.22.0-lp155.3.7.1
libgstbadaudio-1_0-0-1.22.0-lp155.3.7.1
libgstbadaudio-1_0-0-debuginfo-1.22.0-lp155.3.7.1
libgstbasecamerabinsrc-1_0-0-1.22.0-lp155.3.7.1
libgstbasecamerabinsrc-1_0-0-debuginfo-1.22.0-lp155.3.7.1
libgstcodecparsers-1_0-0-1.22.0-lp155.3.7.1
libgstcodecparsers-1_0-0-debuginfo-1.22.0-lp155.3.7.1
libgstcodecs-1_0-0-1.22.0-lp155.3.7.1
libgstcodecs-1_0-0-debuginfo-1.22.0-lp155.3.7.1
libgstcuda-1_0-0-1.22.0-lp155.3.7.1
libgstcuda-1_0-0-debuginfo-1.22.0-lp155.3.7.1
libgstinsertbin-1_0-0-1.22.0-lp155.3.7.1
libgstinsertbin-1_0-0-debuginfo-1.22.0-lp155.3.7.1
libgstisoff-1_0-0-1.22.0-lp155.3.7.1
libgstisoff-1_0-0-debuginfo-1.22.0-lp155.3.7.1
libgstmpegts-1_0-0-1.22.0-lp155.3.7.1
libgstmpegts-1_0-0-debuginfo-1.22.0-lp155.3.7.1
libgstphotography-1_0-0-1.22.0-lp155.3.7.1
libgstphotography-1_0-0-debuginfo-1.22.0-lp155.3.7.1
libgstplay-1_0-0-1.22.0-lp155.3.7.1
libgstplay-1_0-0-debuginfo-1.22.0-lp155.3.7.1
libgstplayer-1_0-0-1.22.0-lp155.3.7.1
libgstplayer-1_0-0-debuginfo-1.22.0-lp155.3.7.1
libgstsctp-1_0-0-1.22.0-lp155.3.7.1
libgstsctp-1_0-0-debuginfo-1.22.0-lp155.3.7.1
libgsttranscoder-1_0-0-1.22.0-lp155.3.7.1
libgsttranscoder-1_0-0-debuginfo-1.22.0-lp155.3.7.1
libgsturidownloader-1_0-0-1.22.0-lp155.3.7.1
libgsturidownloader-1_0-0-debuginfo-1.22.0-lp155.3.7.1
libgstva-1_0-0-1.22.0-lp155.3.7.1
libgstva-1_0-0-debuginfo-1.22.0-lp155.3.7.1
libgstvulkan-1_0-0-1.22.0-lp155.3.7.1
libgstvulkan-1_0-0-debuginfo-1.22.0-lp155.3.7.1
libgstwayland-1_0-0-1.22.0-lp155.3.7.1
libgstwayland-1_0-0-debuginfo-1.22.0-lp155.3.7.1
libgstwebrtc-1_0-0-1.22.0-lp155.3.7.1
libgstwebrtc-1_0-0-debuginfo-1.22.0-lp155.3.7.1
libgstwebrtcnice-1_0-0-1.22.0-lp155.3.7.1
libgstwebrtcnice-1_0-0-debuginfo-1.22.0-lp155.3.7.1
typelib-1_0-CudaGst-1_0-1.22.0-lp155.3.7.1
typelib-1_0-GstBadAudio-1_0-1.22.0-lp155.3.7.1
typelib-1_0-GstCodecs-1_0-1.22.0-lp155.3.7.1
typelib-1_0-GstCuda-1_0-1.22.0-lp155.3.7.1
typelib-1_0-GstInsertBin-1_0-1.22.0-lp155.3.7.1
typelib-1_0-GstMpegts-1_0-1.22.0-lp155.3.7.1
typelib-1_0-GstPlay-1_0-1.22.0-lp155.3.7.1
typelib-1_0-GstPlayer-1_0-1.22.0-lp155.3.7.1
typelib-1_0-GstTranscoder-1_0-1.22.0-lp155.3.7.1
typelib-1_0-GstVa-1_0-1.22.0-lp155.3.7.1
typelib-1_0-GstVulkan-1_0-1.22.0-lp155.3.7.1
typelib-1_0-GstVulkanWayland-1_0-1.22.0-lp155.3.7.1
typelib-1_0-GstVulkanXCB-1_0-1.22.0-lp155.3.7.1
typelib-1_0-GstWebRTC-1_0-1.22.0-lp155.3.7.1

- openSUSE Leap 15.5 (aarch64_ilp32):

gstreamer-plugins-bad-64bit-1.22.0-lp155.3.7.1
gstreamer-plugins-bad-64bit-debuginfo-1.22.0-lp155.3.7.1
gstreamer-plugins-bad-chromaprint-64bit-1.22.0-lp155.3.7.1
gstreamer-plugins-bad-chromaprint-64bit-debuginfo-1.22.0-lp155.3.7.1
gstreamer-plugins-bad-fluidsynth-64bit-1.22.0-lp155.3.7.1
gstreamer-plugins-bad-fluidsynth-64bit-debuginfo-1.22.0-lp155.3.7.1
libgstadaptivedemux-1_0-0-64bit-1.22.0-lp155.3.7.1
libgstadaptivedemux-1_0-0-64bit-debuginfo-1.22.0-lp155.3.7.1
libgstbadaudio-1_0-0-64bit-1.22.0-lp155.3.7.1
libgstbadaudio-1_0-0-64bit-debuginfo-1.22.0-lp155.3.7.1
libgstbasecamerabinsrc-1_0-0-64bit-1.22.0-lp155.3.7.1
libgstbasecamerabinsrc-1_0-0-64bit-debuginfo-1.22.0-lp155.3.7.1
libgstcodecparsers-1_0-0-64bit-1.22.0-lp155.3.7.1
libgstcodecparsers-1_0-0-64bit-debuginfo-1.22.0-lp155.3.7.1
libgstcodecs-1_0-0-64bit-1.22.0-lp155.3.7.1
libgstcodecs-1_0-0-64bit-debuginfo-1.22.0-lp155.3.7.1
libgstcuda-1_0-0-64bit-1.22.0-lp155.3.7.1
libgstcuda-1_0-0-64bit-debuginfo-1.22.0-lp155.3.7.1
libgstinsertbin-1_0-0-64bit-1.22.0-lp155.3.7.1
libgstinsertbin-1_0-0-64bit-debuginfo-1.22.0-lp155.3.7.1
libgstisoff-1_0-0-64bit-1.22.0-lp155.3.7.1
libgstisoff-1_0-0-64bit-debuginfo-1.22.0-lp155.3.7.1
libgstmpegts-1_0-0-64bit-1.22.0-lp155.3.7.1
libgstmpegts-1_0-0-64bit-debuginfo-1.22.0-lp155.3.7.1
libgstphotography-1_0-0-64bit-1.22.0-lp155.3.7.1
libgstphotography-1_0-0-64bit-debuginfo-1.22.0-lp155.3.7.1
libgstplay-1_0-0-64bit-1.22.0-lp155.3.7.1
libgstplay-1_0-0-64bit-debuginfo-1.22.0-lp155.3.7.1
libgstplayer-1_0-0-64bit-1.22.0-lp155.3.7.1
libgstplayer-1_0-0-64bit-debuginfo-1.22.0-lp155.3.7.1
libgstsctp-1_0-0-64bit-1.22.0-lp155.3.7.1
libgstsctp-1_0-0-64bit-debuginfo-1.22.0-lp155.3.7.1
libgsturidownloader-1_0-0-64bit-1.22.0-lp155.3.7.1
libgsturidownloader-1_0-0-64bit-debuginfo-1.22.0-lp155.3.7.1
libgstva-1_0-0-64bit-1.22.0-lp155.3.7.1
libgstva-1_0-0-64bit-debuginfo-1.22.0-lp155.3.7.1
libgstvulkan-1_0-0-64bit-1.22.0-lp155.3.7.1
libgstvulkan-1_0-0-64bit-debuginfo-1.22.0-lp155.3.7.1
libgstwayland-1_0-0-64bit-1.22.0-lp155.3.7.1
libgstwayland-1_0-0-64bit-debuginfo-1.22.0-lp155.3.7.1
libgstwebrtc-1_0-0-64bit-1.22.0-lp155.3.7.1
libgstwebrtc-1_0-0-64bit-debuginfo-1.22.0-lp155.3.7.1
libgstwebrtcnice-1_0-0-64bit-1.22.0-lp155.3.7.1
libgstwebrtcnice-1_0-0-64bit-debuginfo-1.22.0-lp155.3.7.1

- openSUSE Leap 15.5 (x86_64):

gstreamer-plugins-bad-32bit-1.22.0-lp155.3.7.1
gstreamer-plugins-bad-32bit-debuginfo-1.22.0-lp155.3.7.1
gstreamer-plugins-bad-chromaprint-32bit-1.22.0-lp155.3.7.1
gstreamer-plugins-bad-chromaprint-32bit-debuginfo-1.22.0-lp155.3.7.1
gstreamer-plugins-bad-fluidsynth-32bit-1.22.0-lp155.3.7.1
gstreamer-plugins-bad-fluidsynth-32bit-debuginfo-1.22.0-lp155.3.7.1
libgstadaptivedemux-1_0-0-32bit-1.22.0-lp155.3.7.1
libgstadaptivedemux-1_0-0-32bit-debuginfo-1.22.0-lp155.3.7.1
libgstbadaudio-1_0-0-32bit-1.22.0-lp155.3.7.1
libgstbadaudio-1_0-0-32bit-debuginfo-1.22.0-lp155.3.7.1
libgstbasecamerabinsrc-1_0-0-32bit-1.22.0-lp155.3.7.1
libgstbasecamerabinsrc-1_0-0-32bit-debuginfo-1.22.0-lp155.3.7.1
libgstcodecparsers-1_0-0-32bit-1.22.0-lp155.3.7.1
libgstcodecparsers-1_0-0-32bit-debuginfo-1.22.0-lp155.3.7.1
libgstcodecs-1_0-0-32bit-1.22.0-lp155.3.7.1
libgstcodecs-1_0-0-32bit-debuginfo-1.22.0-lp155.3.7.1
libgstcuda-1_0-0-32bit-1.22.0-lp155.3.7.1
libgstcuda-1_0-0-32bit-debuginfo-1.22.0-lp155.3.7.1
libgstinsertbin-1_0-0-32bit-1.22.0-lp155.3.7.1
libgstinsertbin-1_0-0-32bit-debuginfo-1.22.0-lp155.3.7.1
libgstisoff-1_0-0-32bit-1.22.0-lp155.3.7.1
libgstisoff-1_0-0-32bit-debuginfo-1.22.0-lp155.3.7.1
libgstmpegts-1_0-0-32bit-1.22.0-lp155.3.7.1
libgstmpegts-1_0-0-32bit-debuginfo-1.22.0-lp155.3.7.1
libgstphotography-1_0-0-32bit-1.22.0-lp155.3.7.1
libgstphotography-1_0-0-32bit-debuginfo-1.22.0-lp155.3.7.1
libgstplay-1_0-0-32bit-1.22.0-lp155.3.7.1
libgstplay-1_0-0-32bit-debuginfo-1.22.0-lp155.3.7.1
libgstplayer-1_0-0-32bit-1.22.0-lp155.3.7.1
libgstplayer-1_0-0-32bit-debuginfo-1.22.0-lp155.3.7.1
libgstsctp-1_0-0-32bit-1.22.0-lp155.3.7.1
libgstsctp-1_0-0-32bit-debuginfo-1.22.0-lp155.3.7.1
libgsturidownloader-1_0-0-32bit-1.22.0-lp155.3.7.1
libgsturidownloader-1_0-0-32bit-debuginfo-1.22.0-lp155.3.7.1
libgstva-1_0-0-32bit-1.22.0-lp155.3.7.1
libgstva-1_0-0-32bit-debuginfo-1.22.0-lp155.3.7.1
libgstvulkan-1_0-0-32bit-1.22.0-lp155.3.7.1
libgstvulkan-1_0-0-32bit-debuginfo-1.22.0-lp155.3.7.1
libgstwayland-1_0-0-32bit-1.22.0-lp155.3.7.1
libgstwayland-1_0-0-32bit-debuginfo-1.22.0-lp155.3.7.1
libgstwebrtc-1_0-0-32bit-1.22.0-lp155.3.7.1
libgstwebrtc-1_0-0-32bit-debuginfo-1.22.0-lp155.3.7.1
libgstwebrtcnice-1_0-0-32bit-1.22.0-lp155.3.7.1
libgstwebrtcnice-1_0-0-32bit-debuginfo-1.22.0-lp155.3.7.1

- openSUSE Leap 15.5 (noarch):

gstreamer-plugins-bad-lang-1.22.0-lp155.3.7.1

- openSUSE Leap 15.4 (aarch64 i586 ppc64le s390x x86_64):

gstreamer-plugins-bad-1.20.1-lp154.2.9.1
gstreamer-plugins-bad-chromaprint-1.20.1-lp154.2.9.1
gstreamer-plugins-bad-chromaprint-debuginfo-1.20.1-lp154.2.9.1
gstreamer-plugins-bad-debuginfo-1.20.1-lp154.2.9.1
gstreamer-plugins-bad-debugsource-1.20.1-lp154.2.9.1
gstreamer-plugins-bad-devel-1.20.1-lp154.2.9.1
gstreamer-plugins-bad-fluidsynth-1.20.1-lp154.2.9.1
gstreamer-plugins-bad-fluidsynth-debuginfo-1.20.1-lp154.2.9.1
gstreamer-transcoder-1.20.1-lp154.2.9.1
gstreamer-transcoder-debuginfo-1.20.1-lp154.2.9.1
gstreamer-transcoder-devel-1.20.1-lp154.2.9.1
libgstadaptivedemux-1_0-0-1.20.1-lp154.2.9.1
libgstadaptivedemux-1_0-0-debuginfo-1.20.1-lp154.2.9.1
libgstbadaudio-1_0-0-1.20.1-lp154.2.9.1
libgstbadaudio-1_0-0-debuginfo-1.20.1-lp154.2.9.1
libgstbasecamerabinsrc-1_0-0-1.20.1-lp154.2.9.1
libgstbasecamerabinsrc-1_0-0-debuginfo-1.20.1-lp154.2.9.1
libgstcodecparsers-1_0-0-1.20.1-lp154.2.9.1
libgstcodecparsers-1_0-0-debuginfo-1.20.1-lp154.2.9.1
libgstcodecs-1_0-0-1.20.1-lp154.2.9.1
libgstcodecs-1_0-0-debuginfo-1.20.1-lp154.2.9.1
libgstinsertbin-1_0-0-1.20.1-lp154.2.9.1
libgstinsertbin-1_0-0-debuginfo-1.20.1-lp154.2.9.1
libgstisoff-1_0-0-1.20.1-lp154.2.9.1
libgstisoff-1_0-0-debuginfo-1.20.1-lp154.2.9.1
libgstmpegts-1_0-0-1.20.1-lp154.2.9.1
libgstmpegts-1_0-0-debuginfo-1.20.1-lp154.2.9.1
libgstphotography-1_0-0-1.20.1-lp154.2.9.1
libgstphotography-1_0-0-debuginfo-1.20.1-lp154.2.9.1
libgstplay-1_0-0-1.20.1-lp154.2.9.1
libgstplay-1_0-0-debuginfo-1.20.1-lp154.2.9.1
libgstplayer-1_0-0-1.20.1-lp154.2.9.1
libgstplayer-1_0-0-debuginfo-1.20.1-lp154.2.9.1
libgstsctp-1_0-0-1.20.1-lp154.2.9.1
libgstsctp-1_0-0-debuginfo-1.20.1-lp154.2.9.1
libgsttranscoder-1_0-0-1.20.1-lp154.2.9.1
libgsttranscoder-1_0-0-debuginfo-1.20.1-lp154.2.9.1
libgsturidownloader-1_0-0-1.20.1-lp154.2.9.1
libgsturidownloader-1_0-0-debuginfo-1.20.1-lp154.2.9.1
libgstva-1_0-0-1.20.1-lp154.2.9.1
libgstva-1_0-0-debuginfo-1.20.1-lp154.2.9.1
libgstvulkan-1_0-0-1.20.1-lp154.2.9.1
libgstvulkan-1_0-0-debuginfo-1.20.1-lp154.2.9.1
libgstwayland-1_0-0-1.20.1-lp154.2.9.1
libgstwayland-1_0-0-debuginfo-1.20.1-lp154.2.9.1
libgstwebrtc-1_0-0-1.20.1-lp154.2.9.1
libgstwebrtc-1_0-0-debuginfo-1.20.1-lp154.2.9.1
typelib-1_0-GstBadAudio-1_0-1.20.1-lp154.2.9.1
typelib-1_0-GstCodecs-1_0-1.20.1-lp154.2.9.1
typelib-1_0-GstInsertBin-1_0-1.20.1-lp154.2.9.1
typelib-1_0-GstMpegts-1_0-1.20.1-lp154.2.9.1
typelib-1_0-GstPlay-1_0-1.20.1-lp154.2.9.1
typelib-1_0-GstPlayer-1_0-1.20.1-lp154.2.9.1
typelib-1_0-GstTranscoder-1_0-1.20.1-lp154.2.9.1
typelib-1_0-GstVulkan-1_0-1.20.1-lp154.2.9.1
typelib-1_0-GstVulkanWayland-1_0-1.20.1-lp154.2.9.1
typelib-1_0-GstVulkanXCB-1_0-1.20.1-lp154.2.9.1
typelib-1_0-GstWebRTC-1_0-1.20.1-lp154.2.9.1

- openSUSE Leap 15.4 (aarch64_ilp32):

gstreamer-plugins-bad-64bit-1.20.1-lp154.2.9.1
gstreamer-plugins-bad-64bit-debuginfo-1.20.1-lp154.2.9.1
gstreamer-plugins-bad-chromaprint-64bit-1.20.1-lp154.2.9.1
gstreamer-plugins-bad-chromaprint-64bit-debuginfo-1.20.1-lp154.2.9.1
gstreamer-plugins-bad-fluidsynth-64bit-1.20.1-lp154.2.9.1
gstreamer-plugins-bad-fluidsynth-64bit-debuginfo-1.20.1-lp154.2.9.1
libgstadaptivedemux-1_0-0-64bit-1.20.1-lp154.2.9.1
libgstadaptivedemux-1_0-0-64bit-debuginfo-1.20.1-lp154.2.9.1
libgstbadaudio-1_0-0-64bit-1.20.1-lp154.2.9.1
libgstbadaudio-1_0-0-64bit-debuginfo-1.20.1-lp154.2.9.1
libgstbasecamerabinsrc-1_0-0-64bit-1.20.1-lp154.2.9.1
libgstbasecamerabinsrc-1_0-0-64bit-debuginfo-1.20.1-lp154.2.9.1
libgstcodecparsers-1_0-0-64bit-1.20.1-lp154.2.9.1
libgstcodecparsers-1_0-0-64bit-debuginfo-1.20.1-lp154.2.9.1
libgstcodecs-1_0-0-64bit-1.20.1-lp154.2.9.1
libgstcodecs-1_0-0-64bit-debuginfo-1.20.1-lp154.2.9.1
libgstinsertbin-1_0-0-64bit-1.20.1-lp154.2.9.1
libgstinsertbin-1_0-0-64bit-debuginfo-1.20.1-lp154.2.9.1
libgstisoff-1_0-0-64bit-1.20.1-lp154.2.9.1
libgstisoff-1_0-0-64bit-debuginfo-1.20.1-lp154.2.9.1
libgstmpegts-1_0-0-64bit-1.20.1-lp154.2.9.1
libgstmpegts-1_0-0-64bit-debuginfo-1.20.1-lp154.2.9.1
libgstphotography-1_0-0-64bit-1.20.1-lp154.2.9.1
libgstphotography-1_0-0-64bit-debuginfo-1.20.1-lp154.2.9.1
libgstplay-1_0-0-64bit-1.20.1-lp154.2.9.1
libgstplay-1_0-0-64bit-debuginfo-1.20.1-lp154.2.9.1
libgstplayer-1_0-0-64bit-1.20.1-lp154.2.9.1
libgstplayer-1_0-0-64bit-debuginfo-1.20.1-lp154.2.9.1
libgstsctp-1_0-0-64bit-1.20.1-lp154.2.9.1
libgstsctp-1_0-0-64bit-debuginfo-1.20.1-lp154.2.9.1
libgsturidownloader-1_0-0-64bit-1.20.1-lp154.2.9.1
libgsturidownloader-1_0-0-64bit-debuginfo-1.20.1-lp154.2.9.1
libgstva-1_0-0-64bit-1.20.1-lp154.2.9.1
libgstva-1_0-0-64bit-debuginfo-1.20.1-lp154.2.9.1
libgstvulkan-1_0-0-64bit-1.20.1-lp154.2.9.1
libgstvulkan-1_0-0-64bit-debuginfo-1.20.1-lp154.2.9.1
libgstwayland-1_0-0-64bit-1.20.1-lp154.2.9.1
libgstwayland-1_0-0-64bit-debuginfo-1.20.1-lp154.2.9.1
libgstwebrtc-1_0-0-64bit-1.20.1-lp154.2.9.1
libgstwebrtc-1_0-0-64bit-debuginfo-1.20.1-lp154.2.9.1

- openSUSE Leap 15.4 (noarch):

gstreamer-plugins-bad-lang-1.20.1-lp154.2.9.1

- openSUSE Leap 15.4 (x86_64):

gstreamer-plugins-bad-32bit-1.20.1-lp154.2.9.1
gstreamer-plugins-bad-32bit-debuginfo-1.20.1-lp154.2.9.1
gstreamer-plugins-bad-chromaprint-32bit-1.20.1-lp154.2.9.1
gstreamer-plugins-bad-chromaprint-32bit-debuginfo-1.20.1-lp154.2.9.1
gstreamer-plugins-bad-fluidsynth-32bit-1.20.1-lp154.2.9.1
gstreamer-plugins-bad-fluidsynth-32bit-debuginfo-1.20.1-lp154.2.9.1
libgstadaptivedemux-1_0-0-32bit-1.20.1-lp154.2.9.1
libgstadaptivedemux-1_0-0-32bit-debuginfo-1.20.1-lp154.2.9.1
libgstbadaudio-1_0-0-32bit-1.20.1-lp154.2.9.1
libgstbadaudio-1_0-0-32bit-debuginfo-1.20.1-lp154.2.9.1
libgstbasecamerabinsrc-1_0-0-32bit-1.20.1-lp154.2.9.1
libgstbasecamerabinsrc-1_0-0-32bit-debuginfo-1.20.1-lp154.2.9.1
libgstcodecparsers-1_0-0-32bit-1.20.1-lp154.2.9.1
libgstcodecparsers-1_0-0-32bit-debuginfo-1.20.1-lp154.2.9.1
libgstcodecs-1_0-0-32bit-1.20.1-lp154.2.9.1
libgstcodecs-1_0-0-32bit-debuginfo-1.20.1-lp154.2.9.1
libgstinsertbin-1_0-0-32bit-1.20.1-lp154.2.9.1
libgstinsertbin-1_0-0-32bit-debuginfo-1.20.1-lp154.2.9.1
libgstisoff-1_0-0-32bit-1.20.1-lp154.2.9.1
libgstisoff-1_0-0-32bit-debuginfo-1.20.1-lp154.2.9.1
libgstmpegts-1_0-0-32bit-1.20.1-lp154.2.9.1
libgstmpegts-1_0-0-32bit-debuginfo-1.20.1-lp154.2.9.1
libgstphotography-1_0-0-32bit-1.20.1-lp154.2.9.1
libgstphotography-1_0-0-32bit-debuginfo-1.20.1-lp154.2.9.1
libgstplay-1_0-0-32bit-1.20.1-lp154.2.9.1
libgstplay-1_0-0-32bit-debuginfo-1.20.1-lp154.2.9.1
libgstplayer-1_0-0-32bit-1.20.1-lp154.2.9.1
libgstplayer-1_0-0-32bit-debuginfo-1.20.1-lp154.2.9.1
libgstsctp-1_0-0-32bit-1.20.1-lp154.2.9.1
libgstsctp-1_0-0-32bit-debuginfo-1.20.1-lp154.2.9.1
libgsturidownloader-1_0-0-32bit-1.20.1-lp154.2.9.1
libgsturidownloader-1_0-0-32bit-debuginfo-1.20.1-lp154.2.9.1
libgstva-1_0-0-32bit-1.20.1-lp154.2.9.1
libgstva-1_0-0-32bit-debuginfo-1.20.1-lp154.2.9.1
libgstvulkan-1_0-0-32bit-1.20.1-lp154.2.9.1
libgstvulkan-1_0-0-32bit-debuginfo-1.20.1-lp154.2.9.1
libgstwayland-1_0-0-32bit-1.20.1-lp154.2.9.1
libgstwayland-1_0-0-32bit-debuginfo-1.20.1-lp154.2.9.1
libgstwebrtc-1_0-0-32bit-1.20.1-lp154.2.9.1
libgstwebrtc-1_0-0-32bit-debuginfo-1.20.1-lp154.2.9.1

References:

https://www.suse.com/security/cve/CVE-2023-40474.html
https://www.suse.com/security/cve/CVE-2023-40476.html
https://bugzilla.suse.com/1215793
https://bugzilla.suse.com/1215796